/*
  Lithium 0.1

  Copyright (C) 2001 Teti Paolo.

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  (LICENSE file) along with this program; if not, write to
  the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
  Boston, MA  02111-1307  USA

*/



package lithium2;

import java.io.*;
import javax.xml.parsers.*;
import org.w3c.dom.*;

class LithiumXMLParser
{
    private String path = null;
    private Object lithiumObjInfo = null;
    private Document configDocument = null;

    public LithiumXMLParser(String path)
    {
	this.path = path.toLowerCase();
    }


    private void parseLithiumObjInfo()
    {

    }

    private void read()
    {
	try {
	    DocumentBuilderFactory factory =
		DocumentBuilderFactory.newInstance();
	    DocumentBuilder builder = factory.newDocumentBuilder();

	    File file = new File(path);
	    if ( file!=null)
		{
		    configDocument = builder.parse(file);
		    parseLithiumObjInfo();
		}

	} catch (Exception ee)
	    {
		System.out.println(ee.getMessage());
	    }
    }


}// LithiumXMLParser



